- Qt 6.10
- Qt State Machine
- C++ Classes
- QStateMachine
- Qt 6.10.2 Reference Documentation

# Obsolete Members for QStateMachine

The following members of class QStateMachine are deprecated. They are provided to keep old source code working. We strongly advise against using them in new code.

## Public Functions

`(deprecated)` | QStateMachine(QState::ChildMode childMode, QObject *parent = nullptr)

## Member Function Documentation

### `[explicit, deprecated]` QStateMachine::QStateMachine(QState::ChildMode childMode, QObject *parent = nullptr)

This function is deprecated. We strongly advise against using it in new code.

Constructs a new state machine with the given childMode and parent.

Warning: Do not set the childMode to anything else than ExclusiveStates, otherwise the state machine is invalid, and might work incorrectly.